Loading...
Searching...
No Matches
Description Functions
PCM Interface
Collaboration diagram for Description Functions:

## Functions

const char * | snd_pcm_type_name (snd_pcm_type_t type)
| get name of PCM type
const char * | snd_pcm_stream_name (const snd_pcm_stream_t stream)
| get name of PCM stream type
const char * | snd_pcm_access_name (const snd_pcm_access_t _access)
| get name of PCM access type
const char * | snd_pcm_format_name (const snd_pcm_format_t format)
| get name of PCM sample format
const char * | snd_pcm_format_description (const snd_pcm_format_t format)
| get description of PCM sample format
const char * | snd_pcm_subformat_name (const snd_pcm_subformat_t subformat)
| get name of PCM sample subformat
const char * | snd_pcm_subformat_description (const snd_pcm_subformat_t subformat)
| get description of PCM sample subformat
snd_pcm_subformat_t | snd_pcm_subformat_value (const char *name)
| get PCM sample subformat from name
snd_pcm_format_t | snd_pcm_format_value (const char *name)
| get PCM sample format from name
const char * | snd_pcm_tstamp_mode_name (const snd_pcm_tstamp_t mode)
| get name of PCM tstamp mode setting
const char * | snd_pcm_state_name (const snd_pcm_state_t state)
| get name of PCM state

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Function Documentation

## snd_pcm_access_name()

const char * snd_pcm_access_name | ( | const snd_pcm_access_t | acc | ) |

get name of PCM access type

Parameters

  acc | PCM access type

Returns
  ascii name of PCM access type

## snd_pcm_format_description()

const char * snd_pcm_format_description | ( | const snd_pcm_format_t | format | ) |

get description of PCM sample format

Parameters

  format | PCM sample format

Returns
  ascii description of PCM sample format

## snd_pcm_format_name()

const char * snd_pcm_format_name | ( | const snd_pcm_format_t | format | ) |

get name of PCM sample format

Parameters

  format | PCM sample format

Returns
  ascii name of PCM sample format

Examples
  /test/latency.c, and /test/pcm.c.

## snd_pcm_format_value()

snd_pcm_format_t snd_pcm_format_value | ( | const char * | name | ) |

get PCM sample format from name

Parameters

  name | PCM sample format name (case insensitive)

Returns
  PCM sample format

Examples
  /test/latency.c.

## snd_pcm_state_name()

const char * snd_pcm_state_name | ( | const snd_pcm_state_t | state | ) |

get name of PCM state

Parameters

  state | PCM state

Returns
  ascii name of PCM state

## snd_pcm_stream_name()

const char * snd_pcm_stream_name | ( | const snd_pcm_stream_t | stream | ) |

get name of PCM stream type

Parameters

  stream | PCM stream type

Returns
  ascii name of PCM stream type

## snd_pcm_subformat_description()

const char * snd_pcm_subformat_description | ( | const snd_pcm_subformat_t | subformat | ) |

get description of PCM sample subformat

Parameters

  subformat | PCM sample subformat

Returns
  ascii description of PCM sample subformat

## snd_pcm_subformat_name()

const char * snd_pcm_subformat_name | ( | const snd_pcm_subformat_t | subformat | ) |

get name of PCM sample subformat

Parameters

  subformat | PCM sample subformat

Returns
  ascii name of PCM sample subformat

## snd_pcm_subformat_value()

snd_pcm_subformat_t snd_pcm_subformat_value | ( | const char * | name | ) |

get PCM sample subformat from name

Parameters

  name | PCM sample subformat name (case insensitive)

Returns
  PCM sample subformat

## snd_pcm_tstamp_mode_name()

const char * snd_pcm_tstamp_mode_name | ( | const snd_pcm_tstamp_t | mode | ) |

get name of PCM tstamp mode setting

Parameters

  mode | PCM tstamp mode

Returns
  ascii name of PCM tstamp mode setting

## snd_pcm_type_name()

const char * snd_pcm_type_name | ( | snd_pcm_type_t | type | ) |

get name of PCM type

Parameters

  type | PCM type

Returns
  ascii name of PCM type